#include <ESP8266WiFi.h>
#include <WiFiUDP.h>

WiFiUDP UDP;

const char *ssid = "wifi_bell"; // The SSID (name) of the Wi-Fi network you want to connect to
const char *password = "qwerty12345";  // The password of the Wi-Fi network

void connectToWifi();

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200); // Start the Serial communication to send messages to the computer
  delay(10);
  Serial.println('\n');

  WiFi.begin(ssid, password); // Connect to the network
  Serial.print("Connecting to ");
  Serial.print(ssid);
  Serial.println(" ...");

  connectToWifi();
  
  UDP.begin(7001);

  // Send return packet
  IPAddress ip(192, 168 ,4, 1);
  UDP.beginPacket(ip, 7171);
  UDP.write("1");
  UDP.endPacket();

  Serial.println("Packet Sent!");
  
  delay(10000);
  ESP.deepSleep(0);
}

void loop() {
  // put your main code here, to run repeatedly:


}

void connectToWifi() {
  WiFi.mode(WIFI_STA);
  int i = 0;
  while (WiFi.status() != WL_CONNECTED)
  { // Wait for the Wi-Fi to connect
    delay(1000);
    Serial.print(++i);
    Serial.print(' ');
    if (i == 15){
      Serial.println("Couldn't establish a connection, going to deep sleep.");
      ESP.deepSleep(0);
    }
  }                                                                
  Serial.println('\n');
  Serial.println("Connection established!");
  Serial.print("IP address:\t");
  Serial.println(WiFi.localIP()); // Send the IP address of the ESP8266 to the computer
}
